package com.supervision.knowsub.controller.knowledge;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@Tag(name = "知识流程")
@RequiredArgsConstructor
@RequestMapping("knowledgeFlow")
public class KnowledgeFlowController {

    @Operation(summary = "分页查询知识审批流程")
    @GetMapping("queryKnowledgeFlowPage")
    public void queryKnowledgeFlowPage() {

    }

    @Operation(summary = "审批知识流程")
    @PostMapping("processKnowledgeFlow")
    public void processKnowledgeFlow() {

    }

    @Operation(summary = "查询知识库流转记录")
    @GetMapping("queryKnowledgeFlowRecord")
    public void queryKnowledgeFlowRecord(String knowledgeId){

    }




}
